probe::signal.do_action
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.do_action — Examining or changing a signal action

## Synopsis

    signal.do_action

## Values

`sa_handler`

  The new handler of the signal

`oldsigact_addr`

  The address of the old sigaction struct associated with the signal

`sigact_addr`

  The address of the new sigaction struct associated with the signal

`sig`

  The signal to be examined/changed

`sa_mask`

  The new mask of the signal

`name`

  Name of the probe point

`sig_name`

  A string representation of the signal

Prev | Up | Next
probe::signal.checkperm.return | Home | probe::signal.do_action.return